package com.jasamedika.medifirst2000.vo;

import java.sql.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PernahDirawatDetailVO extends BaseTransactionVO {
	/**
	 * @author Shakato
	 */
	
	@ManyToOne
	@JoinColumn(name = "ObjectRiwayatKesehatanFk")
	@Caption(value = "ID RiwayatKesehatan")
	//@NotNull(message = "ID HasilTriase tidak boleh kosong")
	private RiwayatKesehatanVO riwayatKesehatan;
	
	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosaFk")
	@Caption(value = "ID Diagnosa")
	@NotNull(message = "ID Diagnosa tidak boleh kosong")
	private DiagnosaVO diagnosa;

	@Column(name = "tanggal", nullable = true)
	@Caption(value = "tanggal")
	private Date tanggal;

	public RiwayatKesehatanVO getRiwayatKesehatan() {
		return riwayatKesehatan;
	}

	public void setRiwayatKesehatan(RiwayatKesehatanVO riwayatKesehatan) {
		this.riwayatKesehatan = riwayatKesehatan;
	}

	public DiagnosaVO getDiagnosa() {
		return diagnosa;
	}

	public void setDiagnosa(DiagnosaVO diagnosa) {
		this.diagnosa = diagnosa;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}
	
}